%define anolis_release 1
# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           libsigc++20
Version:        2.12.0
Release: %{anolis_release}%{dist}
Summary:        Typesafe signal framework for C++

License:        LGPLv2+
URL:            https://github.com/libsigcplusplus/libsigcplusplus
Source0:        https://download.gnome.org/sources/libsigc++/%{release_version}/libsigc++-%{version}.tar.xz

BuildRequires:  docbook-style-xsl
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libxslt
BuildRequires:  m4
BuildRequires:  meson
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl-interpreter

%description
libsigc++ implements a typesafe callback system for standard C++. It
allows you to define signals and to connect those signals to any
callback function, either global or a member function, regardless of
whether it is static or virtual.

libsigc++ is used by gtkmm to wrap the GTK+ signal system. It does not
depend on GTK+ or gtkmm.

%package devel
Summary:        Development tools for the typesafe signal framework for C++
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n libsigc++-%{version}

chmod -x NEWS

%build
%meson -Dbuild-documentation=true
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libsigc-2.0.so.0*

%dir %{abidir}
%{abidir}/libsigc-2.0.dump

%files devel
%{_includedir}/sigc++-2.0/
%{_libdir}/sigc++-2.0/
%{_libdir}/pkgconfig/sigc++-2.0.pc
%{_libdir}/libsigc-2.0.so

%files doc
%doc %{_datadir}/doc/libsigc++-2.0/
# according guidelines, we can co-own this, since devhelp is not required
# for accessing documentation
%doc %{_datadir}/devhelp/
%doc AUTHORS ChangeLog NEWS

%changelog
* Fri Mar 24 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.12.0-1
- Init package from upstream
